Skip to main content
POST
/
v1
/
guests
/
{_id}
/
check-in
Check in a guest
curl --request POST \
  --url https://envelope.so/api/v1/guests/{_id}/check-in \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "eventId": "<string>",
  "incrementBy": 1,
  "zoneId": "<string>"
}
'
{
  "_id": "<string>",
  "event": "<string>",
  "status": {
    "confirmation": 2,
    "attendance": 1,
    "declineMessage": null,
    "givenConsents": [],
    "visitedZones": [],
    "addMethod": "publicRegistration",
    "checkInMethod": "qrScan"
  },
  "properties": {
    "firstName": "John",
    "lastName": "Doe",
    "email": "john@example.com",
    "lang": "en",
    "X62TkjiV": "My custom note",
    "yN9hzaCj": "1QLXYBlw",
    "Ybb48GO7": [
      "7bR7m2au",
      "BdwYyYmi"
    ]
  },
  "confirmedAt": "2023-11-07T05:31:56Z",
  "attendedAt": "2023-11-07T05:31:56Z",
  "starred": false
}

Documentation Index

Fetch the complete documentation index at: https://docs.envelope.so/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Path Parameters

_id
string
required

Guest ID to check in.

Body

application/json
eventId
string
required

ID of the event

incrementBy
integer
default:1

Number to increment attendance by

method
enum<string>

Method used for check-in

Available options:
qrScan,
manual
zoneId
string

ID of the zone if checking into specific zone

Response

Guest checked in successfully.

_id
string
required

Guest ID

event
string
required

Event ID

status
object
required

Guest status information including confirmation, attendance, consents and check-in details

Example:
{
"confirmation": 2,
"attendance": 1,
"declineMessage": null,
"givenConsents": [],
"visitedZones": [],
"addMethod": "publicRegistration",
"checkInMethod": "qrScan"
}
properties
object
required

Guest properties including default required fields and any custom properties defined for the event

Example:
{
"firstName": "John",
"lastName": "Doe",
"email": "john@example.com",
"lang": "en",
"X62TkjiV": "My custom note",
"yN9hzaCj": "1QLXYBlw",
"Ybb48GO7": ["7bR7m2au", "BdwYyYmi"]
}
confirmedAt
string<date-time> | null

Date and time when the guest was confirmed

attendedAt
string<date-time> | null

Date and time when the guest attended the event

starred
boolean
default:false

Indicates if the guest is starred